import './style.scss';

export default new Class({
	Extends: Hedera.Form,
	Template: require('./ui.xml'),

	activate() {
		this.$.lot.assign({
			date: new Date(),
			useIds: false
		});
	},

	onConfigChange() {
		this.$.lot.assignLot(this.$.config);
	},
	
	onPreviewClick() {
		this.gui.openReport('shelves-report', this.$.lot);
	}
});

